# Subscriptions

Manage webhook subscriptions at both the application and profile level. Create, list, retrieve, and delete subscriptions, as well as test your webhook endpoints.
For more information on creating and managing webhooks, and specific event types, see [Webhooks & Notifications](/guides/developer/webhooks).

 - [POST /applications/{clientKey}/subscriptions](https://docs.wise.com/api-reference/webhook/webhookapplicationsubscriptioncreate.md): Create a webhook subscription at the application level. `clientKey` can be received upon obtaining client credentials from our tech support.
 - [GET /applications/{clientKey}/subscriptions](https://docs.wise.com/api-reference/webhook/webhookapplicationsubscriptionlist.md): List all webhook subscriptions for your application.
 - [GET /applications/{clientKey}/subscriptions/{subscriptionId}](https://docs.wise.com/api-reference/webhook/webhookapplicationsubscriptionget.md): Retrieve an application webhook subscription by its identifier.
 - [DELETE /applications/{clientKey}/subscriptions/{subscriptionId}](https://docs.wise.com/api-reference/webhook/webhookapplicationsubscriptiondelete.md): Delete an application webhook subscription by its identifier.
 - [POST /applications/{clientKey}/subscriptions/{subscriptionId}/test-notifications](https://docs.wise.com/api-reference/webhook/webhookapplicationsubscriptiontest.md): Generate test notifications for an existing application subscription. Test notifications will have the correct structure for their source subscription's event type and version, and will contain "dummy
 - [POST /profiles/{profileId}/subscriptions](https://docs.wise.com/api-reference/webhook/webhookprofilesubscriptioncreate.md): Create a webhook subscription at the profile level.
 - [GET /profiles/{profileId}/subscriptions](https://docs.wise.com/api-reference/webhook/webhookprofilesubscriptionlist.md): List all webhook subscriptions for a profile.
 - [GET /profiles/{profileId}/subscriptions/{subscriptionId}](https://docs.wise.com/api-reference/webhook/webhookprofilesubscriptionget.md): Retrieve a profile webhook subscription by its identifier.
 - [DELETE /profiles/{profileId}/subscriptions/{subscriptionId}](https://docs.wise.com/api-reference/webhook/webhookprofilesubscriptiondelete.md): Delete a profile webhook subscription by its identifier.
